Rasa Core v0.12 is out and about!

(Juste) #1

Rasa Core v0.12 is out and about!

Roll the drums, please! :drum::drum::drum:
Rasa Core v0.12 has been released and it has sooooo many new features and improvements like:

And there is so much more than that - check out the changelog and give Rasa v0.12 a go! :star_struck::rocket::robot:

5 Likes

(Karan Desai) #2

How to update ?

0 Likes

(Juste) #3

pip install -U rasa_core will upgrade your Rasa Core installation to the latest version.

0 Likes

(Ellery Leung) #4

Excuse me, is it the same to upgrade rasa_nlu?

pip install -U rasa_nlu

0 Likes

(JG) #5

yes,but if you read the above post,only rasa_core has got the updates :smiley:

0 Likes

(Ellery Leung) #6

Thanks. I just though rasa_core and rasa_nlu are one package. :smiley:

0 Likes

(Karan Desai) #7

Executed pip install -U rasa_core: Returns this : Requirement already up-to-date: rasa_core in ./rasa_core (0.13.0a1) and then it skips all upgrades

0 Likes

(JG) #8

rasa_core is for dialouge management in a chatbot & rasa_nlu is for intent classification & entity extraction😃

0 Likes

(Joseph Stanton) #9

Can you train the NLU via the interactive learning now?

0 Likes

(Agustin Gonzalez) #10

Hi, I migrate to this version, but i have a error when execute RUN (after train).

“ValueError: Failed to find slot type. Neither a known type nor. If you are creating your own slot type, make sure its module path is correct: rasa_core.slots.TextSlot”

thanks

Example:

Traceback (most recent call last): File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/slots.py”, line 78, in resolve_by_type return utils.class_from_module_path(type_name) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/utils.py”, line 90, in class_from_module_path from rasa_core.policies.embedding_policy import EmbeddingPolicy File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/policies/embedding_policy.py”, line 27, in from rasa_core.policies.tf_utils import (TimeAttentionWrapper, File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/policies/tf_utils.py”, line 224, in tf.contrib.seq2seq.AttentionWrapperState._fields + File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/tensorflow/python/util/lazy_loader.py”, line 53, in getattr module = self._load() File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/tensorflow/python/util/lazy_loader.py”, line 42, in _load module = importlib.import_module(self.name) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/importlib/init.py”, line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/tensorflow/contrib/init.py”, line 48, in from tensorflow.contrib import image File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/tensorflow/contrib/image/init.py”, line 70, in from tensorflow.contrib.image.python.ops.single_image_random_dot_stereograms import single_image_random_dot_stereograms File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/tensorflow/contrib/image/python/ops/single_image_random_dot_stereograms.py”, line 27, in “_single_image_random_dot_stereograms.so”)) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/tensorflow/contrib/util/loader.py”, line 56, in load_op_library ret = load_library.load_op_library(path) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/tensorflow/python/framework/load_library.py”, line 73, in load_op_library exec(wrappers, module.dict) File “”, line 27 def single_image_random_dot_stereograms(depth_values, hidden_surface_removal=True, convergence_dots_size=8, dots_per_inch=72, eye_separation=2,5, mu=0,333299994, normalize=True, normalize_max=-100, normalize_min=100, border_level=0, number_colors=256, output_image_shape=[1024, 768, 1], output_data_window=[1022, 757], name=None): ^ SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “/usr/lib/python3.6/runpy.py”, line 193, in _run_module_as_main “main”, mod_spec) File “/usr/lib/python3.6/runpy.py”, line 85, in _run_code exec(code, run_globals) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/run.py”, line 254, in endpoints=_endpoints) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/run.py”, line 227, in load_agent action_endpoint=endpoints.action) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/agent.py”, line 274, in load domain = Domain.load(os.path.join(path, “domain.yml”)) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/domain.py”, line 90, in load return cls.from_yaml(read_file(filename)) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/domain.py”, line 96, in from_yaml return cls.from_dict(data) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/domain.py”, line 101, in from_dict slots = cls.collect_slots(data.get(“slots”, {})) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/domain.py”, line 185, in collect_slots slot_class = Slot.resolve_by_type(slot_dict[slot_name].get(“type”)) File “/home/administrador/proyectos/deim/rasa/venv/lib/python3.6/site-packages/rasa_core/slots.py”, line 83, in resolve_by_type “module path is correct: {}.”.format(type_name)) ValueError: Failed to find slot type. Neither a known type nor. If you are creating your own slot type, make sure its module path is correct: rasa_core.slots.CategoricalSlot.

0 Likes

(Romain Huber) #11

You should be able to (it’s one of the feature of the update) but I personally get an error when trying to (Error “Can not access action ‘None’” in interactive training)

0 Likes

(Ckomega) #12

Hello. I am trying to run the Moodbot example in interactive mode and I keep getting the following error

"ERROR rasa_core.server - Can not access action ‘None’, as that name is not a registered action for this domain. Available actions are: "

For some reason, in server.py, when it calls request_params.get(“action”, None) on line 209, it fails to get the specified action. The action I was trying to use was just the utter_greet action.

0 Likes

(Simon) #13

Getting the same error. I believe an issue is already filed here

0 Likes